" Vim syntax file
" Language:     ANSYS 5.6 APDL
" Maintainer:   David Edwards <dee.engineering@usa.net>
" Last Change:  

" Remove any old syntax stuff hanging around
syntax clear

" Define "*", "/" and the rest of the valid keyword characters
set iskeyword=42,47-57,a-z,A-Z,_

" Ansys .mac file extentions
syntax case ignore


syntax match	AnsysComment	'/com.*' 
syntax match	AnsysComment    'C\*\*\*.*'
syntax match	AnsysComment	'!.*'

syntax match	AnsysLabel		':\w*'
syntax match	AnsysString		"^[ \t]*\*msg.*"
syntax keyword	AnsysGUI		P51X
syntax match	AnsysSysParm	"arg[0-9]"

" Any integer
syn match AnsysNumber		"-\=\<\d\+\>"

" floating point number, with dot, optional exponent
syn match AnsysFloat		"\<\d\+\.\d*\([edED][-+]\=\d\+\)\=\>"

" floating point number, starting with a dot, optional exponent
syn match AnsysFloat		"\.\d\+\([edED][-+]\=\d\+\)\=\>"

" floating point number, without dot, with exponent
syn match AnsysFloat		"\<\d\+[edED][-+]\=\d\+\>"


" Ansys *GET functions

syntax keyword AnsysGetFunc	ANGLEK ANGLEN AREAKP AREAND ARFACE ARNEXT ARNODE
syntax keyword AnsysGetFunc	ASEL AX AY AZ CENTRX CENTRY CENTRZ DISTEN DISTKP
syntax keyword AnsysGetFunc	DISTND ELADJ ELNEXT ENDS ENEARN ENEXTN ENKE ESEL
syntax keyword AnsysGetFunc	KNEAR KP KPNEXT KSEL KX KY KZ LSEL LSNEXT LSX LSY
syntax keyword AnsysGetFunc	LSZ LX LY LZ MAG NDFACE NDNEXT NELEM NMFACE NNEAR
syntax keyword AnsysGetFunc	NODE NORMKX NORMKY NORMKZ NORMNX NORMNY NORMNZ
syntax keyword AnsysGetFunc	NSEL NX PRES ROTY ROTZ TEMP UX UY UZ VLNEXT VOLT
syntax keyword AnsysGetFunc	VSEL VX VY VZ

" Ansys Arguments to Commands

sy keyword AnsysArgument	2FAC 3FAC A ABBR ABGT ABLT ABMN ABMX ABORT ABS
sy keyword AnsysArgument	ACCA ACCG ACCURATE ACEL ACLEAR ACLX ACLY ACLZ
sy keyword AnsysArgument	ACOS ACT ACTIVE ACTUAL ADD ADIR ADJ ADPTKY AENE
sy keyword AnsysArgument	AG AIR AIR-CM AIR-CM_B AIR-FT AIR-FT_B AIR-IN
sy keyword AnsysArgument	AIR-IN_B AIR-MM AIR-MM_B AIR-SI AIR-SI_B AIR_B
sy keyword AnsysArgument	ALDLF ALL ALLF ALLOC ALPX ALT2 ALTERNATE AMESH
sy keyword AnsysArgument	AMPS AN3D ANAND ANEL ANG ANGLE ANIM ANISO ANNO
sy keyword AnsysArgument	ANSYS ANTS ANTY ANY APPE APPEN APPEND APROJ ARC
sy keyword AnsysArgument	ARCL AREA ARRAY ASCAL ASEC ASEL ASIN ASORT ASSC
sy keyword AnsysArgument	ASTS ASYM ATAN ATTR AUTO AVG AX AXDV AXES AXIS
sy keyword AnsysArgument	AXLAB AXNM AXNSC AXNUM AY AZ B BACK BASE BASIC
sy keyword AnsysArgument	BC BEAM BELOW BEST BETA BF BFE BFT BH BIN BING
sy keyword AnsysArgument	BISO BKIN BLAC BLOC BLOCKED BLUE BMAG BMAX BMIN
sy keyword AnsysArgument	BMOM BMP BNDOUT BNOW BOT BOTH BOTTOM BOYCE BRIEF
sy keyword AnsysArgument	BSUB BUC3 BUC4 BULK C1 C1MX C2 CABLE CAP CARC
sy keyword AnsysArgument	CARR CART CBLU CE CEMAX CEMIN CENT CENTER CGRID
sy keyword AnsysArgument	CGS CGSOL CHABOCHE CHAN CHANGE CHAR CHECK CHRG
sy keyword AnsysArgument	CHRGD CHRGS CID CIRC CLEAN CLEAR CLOSE CLOSED
sy keyword AnsysArgument	CM CMIX CMU CMUV CNTR CNVG COAR COAX COLOR COMB
sy keyword AnsysArgument	COMMENT COMP CON CONC CONCR COND CONE CONFIG
sy keyword AnsysArgument	CONST CONSTANT CONT CONTINUE CONTOUR CONV COORD
sy keyword AnsysArgument	COPY CORNER CORR COS COSH COUNT COVAR CP CPU
sy keyword AnsysArgument	CREATE CREEP CROSS CRPLIMIT CRPRAT CS CSCV CSG
sy keyword AnsysArgument	CSGX CSGY CSGZY CSOLID CSYS CTUBE CUCV CURR CURT
sy keyword AnsysArgument	CURVE CVAR CYAN CYCL CYCLE CYLI CYLIN D DAMP DATA
sy keyword AnsysArgument	DB DBASE DBMEM DBPDISK DBPMEM DBPSIZE DBSIZE
sy keyword AnsysArgument	DDAM DEBG DEFA DEFAULT DEFGEO DEFI DEFORC DEG
sy keyword AnsysArgument	DEGE DEL DELE DELET DELETE DELT DENS DER1 DER2
sy keyword AnsysArgument	DERI DETACH DGEN DGRA DICV DIG1 DIG2 DIM DIRCOS
sy keyword AnsysArgument	DISP DISPLAY DIST DITHER DIV DIVX DIVY DLIST
sy keyword AnsysArgument	DMULT DOF DOT DP DRAWBEAD DSCALE DSORT DSPLIMIT
sy keyword AnsysArgument	DSPRM DSYS DTIME DTMAX DTMIN DUAL DUMP DV DYNA
sy keyword AnsysArgument	ECON EDGE EF EFORC EHFLU EIGDAMP EIGEN EIGEXP
sy keyword AnsysArgument	EIGFULL EIGLANB EIGREDUC EIGUNSYM EITHER ELEC
sy keyword AnsysArgument	ELECT ELEM ELEMENT ELFORM ELOUT ELPREP ELSTRS
sy keyword AnsysArgument	EMAT EMDI EMF EMIS ENAME ENCL END ENDS ENDSTEP
sy keyword AnsysArgument	ENER ENKE ENTH ENTS ENUM EOS EPCR EPEL EPEQ EPLS
sy keyword AnsysArgument	EPPL EPSI EPSW EPTH EPTO EPZRO EQ EQIT EQPREP
sy keyword AnsysArgument	EQV ERASE EROT ERR ERROR ESAV ESEL ESIZE ESOL ESS
sy keyword AnsysArgument	ESTS ESYS ETAB ETAI ETI ETS EUCLIDEAN EULER EVAL
sy keyword AnsysArgument	EVIS EVISC EWLL EX EXEC EXIT EXP EXPA EXPND EXT
sy keyword AnsysArgument	EXTREM F FACET FACT FACTOR FAIL FALSE FAST FATAL
sy keyword AnsysArgument	FCON FE FEAS FFCV FFLUX FGRAD FIELD FILE FILL
sy keyword AnsysArgument	FINE FIRST FIT FLAG FLOW FLUE FLUID FLUX FMAG FMC
sy keyword AnsysArgument	FNTS FOAM FOCUS FOCV FONT FORC FORCE FOSS FRAME
sy keyword AnsysArgument	FREQ FRONT FRQI FSI FSPLIT FSTS FTIN FTS FULL
sy keyword AnsysArgument	FX FY FZ G0 G1 G2 G3 G4 GAMM GAP GAS GATH GCEOUT
sy keyword AnsysArgument	GCYA GDIS GE GEOM GIRT GLINE GLOB GLOBAL GLSTAT
sy keyword AnsysArgument	GOURAUD GRAD GRAPH GRBAK GREE GREY GRID GRPH GT
sy keyword AnsysArgument	GTOLER GXY GXZ GYZ H HALF HARD HATS HCOE HCOEF
sy keyword AnsysArgument	HEAT HELP HF HFCV HFLM HFLU HFLUX HGEN HGLS HIDC
sy keyword AnsysArgument	HIDD HIDP HIGH HONEY HPGL HPGL2 HPRES HPT HQSL
sy keyword AnsysArgument	HREC HS I ICCG IGES IGNO IGNORE IMAX IMC IMIN
sy keyword AnsysArgument	IMME IMPD INACTIVE INCREMENT INDEX INER INERT
sy keyword AnsysArgument	INF INFO ININ INIT INPUT INSF INSIDE INT INT1
sy keyword AnsysArgument	INT2 INTERLEAF INTG INV INVE IOBUF IOMEM IOPSIZ
sy keyword AnsysArgument	IOR IPR ISET ISTEP ISURF ITE ITEM ITER ITIME
sy keyword AnsysArgument	IVIS IVSH IXV IYV IZV JCG JCGOUT JHEAT JNTFORC
sy keyword AnsysArgument	JOBNAM JPEG JS JSX JSY JSZ JT K KAPP KAXI KEEP
sy keyword AnsysArgument	KENE KEY KEYP KINH KP KSEL KXX KXXX Kfont L LAB
sy keyword AnsysArgument	LABEL LAML LAMU LANB LAND LANDSCAPE LAST LAYER
sy keyword AnsysArgument	LAYR LBOT LCCA LDATE LDIR LE LEG1 LEG2 LEG3 LENG
sy keyword AnsysArgument	LENGTH LFACT LGRA LIBRARY LINE LIQUID LIST LIVE
sy keyword AnsysArgument	LMAX LMIN LOAD LOADS LOC LOCAL LOCFL LOG LOG10
sy keyword AnsysArgument	LOGO LOGX LOGY LONG LOOP LOW LOWD LPOLAR LPRIN
sy keyword AnsysArgument	LPROJ LRECT LSEL LSMO LSOPT LSST LSTP LT LTIME
sy keyword AnsysArgument	LTOP LTYP LYSL M MACH MAG MAGE MAGN MAIN MAST
sy keyword AnsysArgument	MAT MATSUM MAX MAXI MC MCI MCOEF MDIF MEAN MEDI
sy keyword AnsysArgument	MELAS MEM MENU MERG MERGE MESH METH METRIC MFCV
sy keyword AnsysArgument	MGXX MID MIN MINM MINREF MIPS MISC MISO MKIN
sy keyword AnsysArgument	MKS MMMC MMOR MNLOC MOCV MODAL MODE MODEL MODI
sy keyword AnsysArgument	MODL MODP MOLW MOMD MOME MOMENT MOMS MONO MOONEY
sy keyword AnsysArgument	MPRS MRE MRED MSGPOP MSU MSUP MTOT MTT MU MULT
sy keyword AnsysArgument	MULTI MULTIPLE MUR MURX MUZRO MVDI MX MXAR MXCE
sy keyword AnsysArgument	MXCP MXDVL MXEL MXIT MXKP MXLOC MXLS MXND MXRL
sy keyword AnsysArgument	MXVL MXWF MY MZ NAME NARGS NBUF NC NCFORC NCMIT
sy keyword AnsysArgument	NCMLS NCMSS NCOL NCOMP NCONT NDIR NDIST NDIV
sy keyword AnsysArgument	NE NEAR NEGX NEGY NEGZ NELM NEQIT NEV NEW NEXT
sy keyword AnsysArgument	NFOR NINT NL NLCONTROL NLENG NLISO NLOAD NMISC
sy keyword AnsysArgument	NMOM NO NOAV NOCHECK NODAMP NODE NODOUT NOELAB
sy keyword AnsysArgument	NOITERPREDICT NOMI NONE NOOR NORM NORMAL NORML
sy keyword AnsysArgument	NOSAVE NOSTART NOT NOTE NOW NPOINT NPROC NRELM
sy keyword AnsysArgument	NRES NSBMN NSBMX NSBSTP NSCOMP NSEL NSET NSETS
sy keyword AnsysArgument	NSFE NSFN NSOL NSRC NSTART NSWE NTEMP NTOC NTS
sy keyword AnsysArgument	NTZN NUM NUMB NUMBER NUMP NUMSTEP NUXY NVAL NWARN
sy keyword AnsysArgument	NXTH NXTL NodeDia OBJ OC OESELE OFF OMEG OMGX
sy keyword AnsysArgument	OMGY OMGZ ON OPEN ORAN ORDER ORIENT ORIG ORIGIN
sy keyword AnsysArgument	ORTHO OSTS OUTL OUTP OUTSIDE OVER PARA PARM PART
sy keyword AnsysArgument	PATH PC PCG PCGOUT PCOE PCON PENE PERCENT PERX
sy keyword AnsysArgument	PEXC PFACT PFLOW PG PHASE PHONG PICK PIEZ PILO
sy keyword AnsysArgument	PINC PLAW PLOPTS PLSLIMIT PLWK PMAX PMIN POINTS
sy keyword AnsysArgument	POLAR PORTRAIT PORV POSTSCRIPT POSX POSY POSZ
sy keyword AnsysArgument	POWER POWL POWP PRCV PREP PRES PRESS PRESSURE
sy keyword AnsysArgument	PRIN PRKEY PROCESS PROD PRSD PRSS PRXY PSCR
sy keyword AnsysArgument	PSD PSINC PSV PTOT PWR PYRA Pname QMESH QRATE
sy keyword AnsysArgument	QRDAMP QUA8 QUAD QUERY R RAD RADI RADIUS RAMP
sy keyword AnsysArgument	RAND RANGE RAST RATI RATIO RBDOUT RBFX RBFY RBFZ
sy keyword AnsysArgument	RBMX RBMY RBMZ RBOT RBRX RBRY RBRZ RBUX RBUY RBUZ
sy keyword AnsysArgument	RBVX RBVY RBVZ RCFORC RDSF RDSP REAC READ REAL
sy keyword AnsysArgument	RECIPROCAL RECO RECT RED REDM REDUC REDWRITE
sy keyword AnsysArgument	REFE REFR REFRESH REFT REL RELX REMAIN REMOVE
sy keyword AnsysArgument	REPL REPLOT RESEIG RESFRQ RESI RESIZE REST RESULT
sy keyword AnsysArgument	RESUME REV REVERSE REVX REVY RF RFIL RFILSZ RFOR
sy keyword AnsysArgument	RFRQ RGEOM RIGID RMEMRY RMOM RMS RNTR ROCV ROT
sy keyword AnsysArgument	ROTR ROTX ROTY ROTZ ROUT RSET RSOL RSPEED RST
sy keyword AnsysArgument	RSTCREATE RSVX RSYS RTIME RTIMST RTOP RUN RV51
sy keyword AnsysArgument	RV52 RWFORC RWFRNT RXYZ S SAVE SBST SCALAR SCALE
sy keyword AnsysArgument	SCAT SCHM SCP SCRAVAIL SCRN SCRSIZE SCTD SCTK
sy keyword AnsysArgument	SDSG SE SEC SECT SEG SELE SELECT SENE SENSM
sy keyword AnsysArgument	SEPC SEPL SEPO SERR SERSM SET SFE SFLAG SFRIC
sy keyword AnsysArgument	SHELL SHLD SHORT SHPAR SHRC SHRINK SI SIN SINGL
sy keyword AnsysArgument	SINGLE SINH SLEOUT SLIDE SMALL SMAX SMCV SMFLOP
sy keyword AnsysArgument	SMIN SMISC SMOOTH SMULT SNAME SNAP SOLID SOLIDS
sy keyword AnsysArgument	SOLU SOLV SOLVE SONC SORT SPACE SPARSE SPAT
sy keyword AnsysArgument	SPCFORC SPEC SPHE SPHT SPLIT SPRS SQRT SQUA
sy keyword AnsysArgument	SRAT SRSS SS SSCALE STAB START STAT STATE STATIC
sy keyword AnsysArgument	STATUS STDV STEP STOP STOT STRM STRS STRUC STS
sy keyword AnsysArgument	STT SUB SUB-STEP SUBP SUBSP SUBSTR SUM SUMF SUPG
sy keyword AnsysArgument	SURF SURFACE SURFACES SV SVAL SWEEP SWELL SWFORC
sy keyword AnsysArgument	SWRL SXZ SYMM SYZ SZBIO SZL1 SZL2 SZL3 SZLT T
sy keyword AnsysArgument	TABLE TABNAM TAMB TAN TANG TANH TANX TANY TAURUS
sy keyword AnsysArgument	TAUW TBULK TCBF TCBO TDMA TDNS TDSG TDSS TE10
sy keyword AnsysArgument	TE11CIRC TECV TEMP TEN TEND TENE TENSM TEPC TERM
sy keyword AnsysArgument	TERR TERSM TETEXPND TETS TEXT TF TFIRST TG THEN
sy keyword AnsysArgument	THERM THETA THRD THRS TIFF TIME TIMP TITER TITLE
sy keyword AnsysArgument	TLAST TM01CIRC TMAX TMIN TMOD TNTS TOAC TOELEM
sy keyword AnsysArgument	TOHC TOHO TOL TOLER TOOL TOP TOPO TORO TOTAL
sy keyword AnsysArgument	TRAN TRANS TRBD TRBL TRBS TRBU TREE TRI TRI6
sy keyword AnsysArgument	TRIA TRIANG TRIS TRUE TSTS TTOT TTS TURB TYPE
sy keyword AnsysArgument	U UANBEG UANFIN UELMATX UFRQ UFT UGAS UI UITBEG
sy keyword AnsysArgument	UITFIN ULDBEG ULDFIN UMAX UMIN UNBLOCKED UNIFORM
sy keyword AnsysArgument	UNITS UNSYM UPDATE UPP USER USERCH USERCV USERFD
sy keyword AnsysArgument	USERFX USERMC USEROU USERPR USOLBEG USOLFIN
sy keyword AnsysArgument	USREFL USRV USSBEG USSFIN UX UXYZ UY UZ V V1
sy keyword AnsysArgument	V2 V3 V4 VAND VARI VCONE VECT VECTOR VECV VELO
sy keyword AnsysArgument	VELOCITY VENG VERSION VF VFAVG VFRC VIEW VISC
sy keyword AnsysArgument	VLAST VLTG VMAX VMCV VMESH VMFLOP VMIN VOCV VOF
sy keyword AnsysArgument	VOFL VOFU VOLT VOLU VOLUME VRATIO VRML VSCALE
sy keyword AnsysArgument	VSEL VSWE VX VY VZ WALL WARN WARP WATER WAVE
sy keyword AnsysArgument	WBAK WEIGHTED WELD WFIL WFRONT WHIT WINS WIRE
sy keyword AnsysArgument	WIREFRAME WMAX WMF WMIN WORK WP WPSE WPSET WPVI
sy keyword AnsysArgument	WRITE WSAVAIL WSREQ WT X XMAX XMIN XNOD XORIG
sy keyword AnsysArgument	XY XYZ XZ Y YELL YES YGRE YMAX YMIN YORIG YPLU
sy keyword AnsysArgument	YZ Z ZBUF ZCAP ZELS ZERO ZOOM ZQSL ZX ZZ _PRM

" Ansys STAR Commands

sy keyword	AnsysStarCmd	*ABB[R] *AFU[N] *ASK *CFC[LOS] *CFO[PEN]
sy keyword	AnsysStarCmd	*CFW[RITE] *CRE[ATE] *CYC[LE] *DEL *DIM *DO *ELSE
sy keyword	AnsysStarCmd	*ELSEIF *END *ENDDO *ENDIF *EVA[L] *EXI[T] *GET
sy keyword	AnsysStarCmd	*GO *IF *LIS[T] *MFO[URI] *MFU[N] *MOO[NEY]
sy keyword	AnsysStarCmd	*MOP[ER] *REP[EAT] *SET *STA[TUS] *TRE[AD]
sy keyword	AnsysStarCmd	*ULI[B] *USE *VAB[S] *VCO[L] *VCU[M] *VED[IT]
sy keyword	AnsysStarCmd	*VFA[CT] *VFI[LL] *VFU[N] *VGE[T] *VIT[RP]
sy keyword	AnsysStarCmd	*VLE[N] *VMA[SK] *VOP[ER] *VPL[OT] *VPU[T]
sy keyword	AnsysStarCmd	*VRE[AD] *VSC[FUN] *VST[AT] *VWR[ITE]

" Ansys SLASH Commands

sy keyword	AnsysSlashCmd	/AN3[D] /ANF[ILE] /ANG[LE] /ANN[OT] /ANU[M]
sy keyword	AnsysSlashCmd	/ASS[IGN] /AUT[O] /AUX12 /AUX15 /AUX2 /AXL[AB]
sy keyword	AnsysSlashCmd	/BAT[CH] /CLA[BEL] /CLE[AR] /CLO[G] /CMA[P]
sy keyword	AnsysSlashCmd	/COL[OR] /CONFIG /CONTOUR /COP[Y] /CPL[ANE]
sy keyword	AnsysSlashCmd	/CTY[PE] /CVA[L] /DEL[ETE] /DEV /DEVDISP /DEVICE
sy keyword	AnsysSlashCmd	/DIS[T] /DSC[ALE] /DV3[D] /EDG[E] /EFA[CET] /EOF
sy keyword	AnsysSlashCmd	/ERA[SE] /ESH[APE] /EXI[T] /EXP[AND] /FAC[ET]
sy keyword	AnsysSlashCmd	/FDE[LE] /FIL[NAME] /FOC[US] /FOR[MAT] /FTY[PE]
sy keyword	AnsysSlashCmd	/GCM[D] /GCO[LUMN] /GFI[LE] /GFO[RMAT] /GLI[NE]
sy keyword	AnsysSlashCmd	/GMA[RKER] /GO /GOL[IST] /GOP[R] /GRA[PHICS]
sy keyword	AnsysSlashCmd	/GRE[SUME] /GRI[D] /GRO[PT] /GRT[YP] /GSA[VE]
sy keyword	AnsysSlashCmd	/GST /GTH[K] /GTY[PE] /HEA[DER] /INP[UT] /LAR[C]
sy keyword	AnsysSlashCmd	/LIG[HT] /LIN[E] /LSP[EC] /LSY[MBOL] /MEN[U]
sy keyword	AnsysSlashCmd	/MPL[IB] /MRE[P] /MST[ART] /NER[R] /NOE[RASE]
sy keyword	AnsysSlashCmd	/NOL[IST] /NOP[R] /NOR[MAL] /NUM[BER] /OPT
sy keyword	AnsysSlashCmd	/OUT[PUT] /PAG[E] /PBC /PBF /PCI[RCLE] /PCO[PY]
sy keyword	AnsysSlashCmd	/PLO[PTS] /PMA[CRO] /PME[TH] /PMO[RE] /PNU[M]
sy keyword	AnsysSlashCmd	/POL[YGON] /POST1 /POST26 /PRE[P7] /PSE[ARCH]
sy keyword	AnsysSlashCmd	/PSF /PSP[EC] /PST[ATUS] /PSY[MB] /PWE[DGE]
sy keyword	AnsysSlashCmd	/QUI[T] /RAT[IO] /REN[AME] /REP[LOT] /RES[ET]
sy keyword	AnsysSlashCmd	/RGB /RUN[ST] /SEC[LIB] /SEG /SHA[DE] /SHOW
sy keyword	AnsysSlashCmd	/SHOWDISP /SHR[INK] /SOL[U] /SSC[ALE] /STA[TUS]
sy keyword	AnsysSlashCmd	/STI[TLE] /SYP /SYS /TEE /TIT[LE] /TLA[BEL]
sy keyword	AnsysSlashCmd	/TRI[AD] /TRL[CY] /TSP[EC] /TXT[RE] /TYP[E]
sy keyword	AnsysSlashCmd	/UCM[D] /UI /UIS /UNI[TS] /USE[R] /VCO[NE]
sy keyword	AnsysSlashCmd	/VIE[W] /VSC[ALE] /VUP /WAI[T] /WIN[DOW] /XFR[M]
sy keyword	AnsysSlashCmd	/XRA[NGE] /YRA[NGE] /ZOO[M]

" Ansys Normal (unprefixed) Commands

sy keyword	AnsysNormalCmd	A AADD AATT ABBR[ES] ABBS[AV] ABS ACCA[T]
sy keyword	AnsysNormalCmd	ACEL ACLE[AR] ADAP[T] ADD ADDA[M] ADEL[E] ADGL
sy keyword	AnsysNormalCmd	ADRA[G] AESI[ZE] AFIL[LT] AFLI[ST] AFSU[RF]
sy keyword	AnsysNormalCmd	AGEN AGLU[E] AINA AINP AINV AL ALIS[T] ALLS[EL]
sy keyword	AnsysNormalCmd	ALPF[ILL] ALPH[AD] AMAP AMES[H] ANCN[TR]
sy keyword	AnsysNormalCmd	ANCU[T] ANDA[TA] ANDS[CL] ANDY[NA] ANFL[OW]
sy keyword	AnsysNormalCmd	ANHA[RM] ANIM ANIS[OS] ANMO[DE] ANOR[M] ANTI[ME]
sy keyword	AnsysNormalCmd	ANTY[PE] AOFF[ST] AOVL[AP] APLO[T] APPE[ND]
sy keyword	AnsysNormalCmd	APTN ARCL[EN] ARCO[LLAPSE] ARCT[RM] ARDE[TACH]
sy keyword	AnsysNormalCmd	AREA[S] AREF[INE] AREV[ERSE] ARFI[LL] ARME[RGE]
sy keyword	AnsysNormalCmd	AROT[AT] ARSC[ALE] ARSP[LIT] ARSY[M] ASBA ASBL
sy keyword	AnsysNormalCmd	ASBV ASBW ASEL ASKI[N] ASLL ASLV ASUB ASUM
sy keyword	AnsysNormalCmd	ATAN ATRA[N] ATYP[E] AUTO[TS] AVPR[IN] AVRE[S]
sy keyword	AnsysNormalCmd	BELL[OW] BEND BETA[D] BF BFA BFAD[ELE] BFAL[IST]
sy keyword	AnsysNormalCmd	BFCU[M] BFDE[LE] BFE BFEC[UM] BFED[ELE] BFEL[IST]
sy keyword	AnsysNormalCmd	BFES[CAL] BFIN[T] BFK BFKD[ELE] BFKL[IST] BFL
sy keyword	AnsysNormalCmd	BFLD[ELE] BFLI[ST] BFLL[IST] BFSC[ALE] BFTR[AN]
sy keyword	AnsysNormalCmd	BFUN[IF] BFV BFVD[ELE] BFVL[IST] BIOO[PT] BIOT
sy keyword	AnsysNormalCmd	BLC4 BLC5 BLOC[K] BOOL BOPT[N] BRAN[CH] BSPL[IN]
sy keyword	AnsysNormalCmd	BTOL BUCO[PT] CALC CBDO[F] CDRE[AD] CDWR[ITE]
sy keyword	AnsysNormalCmd	CE CECM[OD] CECY[C] CEDE[LE] CEIN[TF] CELI[ST]
sy keyword	AnsysNormalCmd	CENT[ER] CEQN CERI[G] CESG[EN] CFAC[T] CGLO[C]
sy keyword	AnsysNormalCmd	CGOM[GA] CHEC[K] CHKM[SH] CIRC[LE] CLOC[AL]
sy keyword	AnsysNormalCmd	CLOG CLRM[SHLN] CM CMAT[RIX] CMDE[LE] CMED[IT]
sy keyword	AnsysNormalCmd	CMGR[P] CMLI[ST] CMPL[OT] CMSE[L] CNVT[OL]
sy keyword	AnsysNormalCmd	CON4 CONE CONJ[UG] COUP[LE] COVA[L] CP CPCY[C]
sy keyword	AnsysNormalCmd	CPDE[LE] CPIN[TF] CPLG[EN] CPLI[ST] CPNG[EN]
sy keyword	AnsysNormalCmd	CPSG[EN] CQC CRPL[IM] CS CSCI[R] CSDE[LE] CSKP
sy keyword	AnsysNormalCmd	CSLI[ST] CSWP[LA] CSYS CURR[2D] CUTC[ONTROL]
sy keyword	AnsysNormalCmd	CVAR CYCG[EN] CYCS[OL] CYL4 CYL5 CYLI[ND] D DA
sy keyword	AnsysNormalCmd	DADE[LE] DALI[ST] DAMO[RPH] DATA DATADEF DCGO[MG]
sy keyword	AnsysNormalCmd	DCUM DDEL[E] DEAC[T] DEFI[NE] DELT[IM] DEMO[RPH]
sy keyword	AnsysNormalCmd	DERI[V] DESI[ZE] DESO[L] DETA[B] DIG DIGI[T]
sy keyword	AnsysNormalCmd	DISP[LAY] DK DKDE[LE] DKLI[ST] DL DLDE[LE]
sy keyword	AnsysNormalCmd	DLIS[T] DLLI[ST] DMOV[E] DMPR[AT] DNSO[L] DOF
sy keyword	AnsysNormalCmd	DOFS[EL] DOME[GA] DSCA[LE] DSET DSUM DSUR[F] DSYM
sy keyword	AnsysNormalCmd	DSYS DTRA[N] DUMP DVMO[RPH] DYNO[PT] E EALI[VE]
sy keyword	AnsysNormalCmd	EDAD[APT] EDBO[UND] EDBV[IS] EDCA[DAPT] EDCD[ELE]
sy keyword	AnsysNormalCmd	EDCG[EN] EDCL[IST] EDCO[NTACT] EDCP[U] EDCR[B]
sy keyword	AnsysNormalCmd	EDCS[C] EDCT[S] EDCU[RVE] EDDA[MP] EDDR[ELAX]
sy keyword	AnsysNormalCmd	EDEL[E] EDEN[ERGY] EDFP[LOT] EDHG[LS] EDHI[ST]
sy keyword	AnsysNormalCmd	EDHT[IME] EDIN[T] EDIV[ELO] EDLC[S] EDLO[AD] EDMP
sy keyword	AnsysNormalCmd	EDNB EDND[TSD] EDNR[OT] EDOP[T] EDOU[T] EDPA[RT]
sy keyword	AnsysNormalCmd	EDPC EDPL EDRE[AD] EDRS[T] EDSH[ELL] EDSO[LV]
sy keyword	AnsysNormalCmd	EDST[ART] EDTP EDWE[LD] EDWR[ITE] EGEN EINT[F]
sy keyword	AnsysNormalCmd	EKIL[L] ELEM ELIS[T] EMAG[ERR] EMF EMID EMIS
sy keyword	AnsysNormalCmd	EMOD[IF] EMOR[E] EMSY[M] EMUN[IT] EN ENGE[N]
sy keyword	AnsysNormalCmd	ENOR[M] ENSY[M] EORI[ENT] EPLO[T] EQSL[V]
sy keyword	AnsysNormalCmd	ERAS[E] EREA[D] EREF[INE] ERES[X] ERNO[RM]
sy keyword	AnsysNormalCmd	ERRA[NG] ESEL ESIZ[E] ESLA ESLL ESLN ESLV ESOL
sy keyword	AnsysNormalCmd	ESOR[T] ESSO[LV] ESTI[F] ESUR[F] ESYM ESYS
sy keyword	AnsysNormalCmd	ET ETAB[LE] ETCH[G] ETDE[LE] ETLI[ST] ETYP[E]
sy keyword	AnsysNormalCmd	EUSO[RT] EWRI[TE] EXP EXPAND EXPASS EXPS[OL]
sy keyword	AnsysNormalCmd	EXTO[PT] EXTR[EM] F FATI[GUE] FCUM FDEL[E]
sy keyword	AnsysNormalCmd	FE FEBO[DY] FECO[NS] FEFO[R] FELI[ST] FESU[RF]
sy keyword	AnsysNormalCmd	FILE FILEAUX2 FILEDISP FILL FILLDATA FINI[SH]
sy keyword	AnsysNormalCmd	FITE[M] FK FKDE[LE] FKLI[ST] FL FLAN[GE] FLDATA
sy keyword	AnsysNormalCmd	FLDATA1 FLDATA10 FLDATA11 FLDATA12 FLDATA13
sy keyword	AnsysNormalCmd	FLDATA14 FLDATA15 FLDATA16 FLDATA17 FLDATA18
sy keyword	AnsysNormalCmd	FLDATA19 FLDATA2 FLDATA20 FLDATA20A FLDATA21
sy keyword	AnsysNormalCmd	FLDATA22 FLDATA23 FLDATA24 FLDATA24A FLDATA24B
sy keyword	AnsysNormalCmd	FLDATA24C FLDATA24D FLDATA25 FLDATA26 FLDATA27
sy keyword	AnsysNormalCmd	FLDATA28 FLDATA29 FLDATA3 FLDATA30 FLDATA31
sy keyword	AnsysNormalCmd	FLDATA32 FLDATA33 FLDATA34 FLDATA35 FLDATA36
sy keyword	AnsysNormalCmd	FLDATA4 FLDATA4A FLDATA5 FLDATA6 FLDATA7 FLDATA8
sy keyword	AnsysNormalCmd	FLDATA9 FLIS[T] FLLI[ST] FLOC[HECK] FLOT[RAN]
sy keyword	AnsysNormalCmd	FLRE[AD] FLST FLUX[V] FMAGBC FMAGSUM FOR2[D]
sy keyword	AnsysNormalCmd	FORC[E] FORM FP FPLI[ST] FREQ FS FSCA[LE]
sy keyword	AnsysNormalCmd	FSDE[LE] FSLI[ST] FSNO[DE] FSPL[OT] FSSE[CT]
sy keyword	AnsysNormalCmd	FSUM FTCA[LC] FTRA[N] FTSI[ZE] FTWR[ITE] FVME[SH]
sy keyword	AnsysNormalCmd	GAP GAPF GAPFINISH GAPL[IST] GAPM[ERGE] GAPO[PT]
sy keyword	AnsysNormalCmd	GAPP[LOT] GAUG[E] GCGE[N] GENO[PT] GEOM GEOMETRY
sy keyword	AnsysNormalCmd	GP GPDE[LE] GPLI[ST] GPLO[T] GRP GSUM HARF[RQ]
sy keyword	AnsysNormalCmd	HELP HELPDISP HEMI[OPT] HFSW[EEP] HMAG[SOLV]
sy keyword	AnsysNormalCmd	HPGL HPTC[REATE] HPTD[ELETE] HRCP[LX] HREX[P]
sy keyword	AnsysNormalCmd	HROP[T] HROU[T] IC ICDE[LE] ICE ICED[ELE]
sy keyword	AnsysNormalCmd	ICEL[IST] ICLI[ST] ICLW[ID] ICSC[ALE] IGESIN
sy keyword	AnsysNormalCmd	IGESOUT IMAG[IN] IMME[D] IMPD INRE[S] INRT[IA]
sy keyword	AnsysNormalCmd	INT1 INTS[RF] IOPT[N] IRLF IRLI[ST] ISFI[LE]
sy keyword	AnsysNormalCmd	JPEG K KATT KBC KBET[W] KCAL[C] KCEN[TER]
sy keyword	AnsysNormalCmd	KCLE[AR] KDEL[E] KDIS[T] KESI[ZE] KEYO[PT]
sy keyword	AnsysNormalCmd	KEYP[TS] KEYW KFIL[L] KGEN KL KLIS[T] KMES[H]
sy keyword	AnsysNormalCmd	KMOD[IF] KMOV[E] KNOD[E] KPLO[T] KPSC[ALE]
sy keyword	AnsysNormalCmd	KREF[INE] KSCA[LE] KSCO[N] KSEL KSLL KSLN KSUM
sy keyword	AnsysNormalCmd	KSYM[M] KTRA[N] KUSE KWPA[VE] KWPL[AN] L L2AN[G]
sy keyword	AnsysNormalCmd	L2TA[N] LANG LARC LARE[A] LARG[E] LATT LAYER
sy keyword	AnsysNormalCmd	LAYERP26 LAYL[IST] LAYP[LOT] LCAB[S] LCAS[E]
sy keyword	AnsysNormalCmd	LCCALC LCCAT LCDE[F] LCFA[CT] LCFI[LE] LCLE[AR]
sy keyword	AnsysNormalCmd	LCOM[B] LCOP[ER] LCSE[L] LCSL LCSU[M] LCWR[ITE]
sy keyword	AnsysNormalCmd	LCZE[RO] LDEL[E] LDIV LDRA[G] LDRE[AD] LESI[ZE]
sy keyword	AnsysNormalCmd	LEXT[ND] LFIL[LT] LFSU[RF] LGEN LGLU[E] LGWR[ITE]
sy keyword	AnsysNormalCmd	LINA LINE LINES LINL LINP LINV LLIS[T] LMAT[RIX]
sy keyword	AnsysNormalCmd	LMES[H] LNCO[LLAPSE] LNDE[TACH] LNFI[LL]
sy keyword	AnsysNormalCmd	LNME[RGE] LNSP[LIT] LNSR[CH] LOCA[L] LOVL[AP]
sy keyword	AnsysNormalCmd	LPLO[T] LPTN LREF[INE] LREV[ERSE] LROT[AT] LSBA
sy keyword	AnsysNormalCmd	LSBL LSBV LSBW LSCL[EAR] LSDE[LE] LSEL LSLA LSLK
sy keyword	AnsysNormalCmd	LSOP[ER] LSRE[AD] LSSC[ALE] LSSO[LVE] LSTR LSUM
sy keyword	AnsysNormalCmd	LSWR[ITE] LSYM[M] LTAN LTRA[N] LUMP[M] LVSC[ALE]
sy keyword	AnsysNormalCmd	LWPL[AN] M MAGO[PT] MAGS[OLV] MAST[ER] MAT
sy keyword	AnsysNormalCmd	MATE[R] MCHE[CK] MDAM[P] MDEL[E] MEMM MESH[ING]
sy keyword	AnsysNormalCmd	MGEN MITE[R] MLIS[T] MMF MODE MODM[SH] MODO[PT]
sy keyword	AnsysNormalCmd	MONI[TOR] MOPT MOVE MP MPAM[OD] MPCH[G] MPDA[TA]
sy keyword	AnsysNormalCmd	MPDE[LE] MPDR[ES] MPLI[ST] MPMO[D] MPPL[OT]
sy keyword	AnsysNormalCmd	MPRE[AD] MPRI[NT] MPTE[MP] MPTG[EN] MPTR[ES]
sy keyword	AnsysNormalCmd	MPUN[DO] MPWR[ITE] MSAD[V] MSAV[E] MSCA[P]
sy keyword	AnsysNormalCmd	MSDA[TA] MSHA[PE] MSHC[OPY] MSHK[EY] MSHM[ID]
sy keyword	AnsysNormalCmd	MSHP[ATTERN] MSME[TH] MSMI[R] MSNO[MF] MSPR[OP]
sy keyword	AnsysNormalCmd	MSQU[AD] MSRE[LAX] MSSO[LU] MSSP[EC] MSTE[RM]
sy keyword	AnsysNormalCmd	MSVA[RY] MXPA[ND] N NANG NCNV NDEL[E] NDIS[T]
sy keyword	AnsysNormalCmd	NDSU[RF] NEQI[T] NFOR[CE] NGEN NKPT NLGE[OM]
sy keyword	AnsysNormalCmd	NLIS[T] NLOG NLOP[T] NMOD[IF] NOCO[LOR] NODE[S]
sy keyword	AnsysNormalCmd	NOOR[DER] NPLO[T] NPRI[NT] NREA[D] NREF[INE]
sy keyword	AnsysNormalCmd	NRLS[UM] NROP[T] NROT[AT] NRRA[NG] NSCA[LE]
sy keyword	AnsysNormalCmd	NSEL NSLA NSLE NSLK NSLL NSLV NSMO[OTH] NSOL
sy keyword	AnsysNormalCmd	NSOR[T] NSTO[RE] NSUB[ST] NSVR NSYM NUMC[MP]
sy keyword	AnsysNormalCmd	NUME[XP] NUMM[RG] NUMO[FF] NUMS[TR] NUMV[AR]
sy keyword	AnsysNormalCmd	NUSO[RT] NWPA[VE] NWPL[AN] NWRI[TE] OMEG[A]
sy keyword	AnsysNormalCmd	OPAD[D] OPAN[L] OPCL[R] OPDA[TA] OPDE[L] OPEQ[N]
sy keyword	AnsysNormalCmd	OPER[ATE] OPEX[E] OPFA[CT] OPFR[ST] OPGR[AD]
sy keyword	AnsysNormalCmd	OPKE[EP] OPLF[A] OPLG[R] OPLI[ST] OPLO[OP]
sy keyword	AnsysNormalCmd	OPLS[W] OPMA[KE] OPNC[ONTROL] OPPR[NT] OPRA[ND]
sy keyword	AnsysNormalCmd	OPRE[SU] OPRF[A] OPRG[R] OPRS[W] OPSA[VE] OPSE[L]
sy keyword	AnsysNormalCmd	OPSU[BP] OPSW[EEP] OPTY[PE] OPUS[ER] OPVA[R]
sy keyword	AnsysNormalCmd	OUTO[PT] OUTP[R] OUTR[ES] PADE[LE] PAGE[T]
sy keyword	AnsysNormalCmd	PAPU[T] PARE[SU] PARR[ES] PARS[AV] PART[SEL]
sy keyword	AnsysNormalCmd	PASA[VE] PATH PCAL[C] PCIR[C] PCON[V] PCOR[RO]
sy keyword	AnsysNormalCmd	PCRO[SS] PDEF PDOT PDRA[G] PEMO[PTS] PERB[C2D]
sy keyword	AnsysNormalCmd	PERI PEXC[LUDE] PFAC[T] PFLU[ID] PGAP PHYS[ICS]
sy keyword	AnsysNormalCmd	PINC[LUDE] PINS[UL] PIPE PIVC[HECK] PLAN[EWAVE]
sy keyword	AnsysNormalCmd	PLCO[NV] PLCP[LX] PLCR[ACK] PLDI[SP] PLES[OL]
sy keyword	AnsysNormalCmd	PLET[AB] PLF2[D] PLLS PLNS[OL] PLOT PLOTTING
sy keyword	AnsysNormalCmd	PLPAGM PLPATH PLSE[CT] PLTI[ME] PLTR[AC]
sy keyword	AnsysNormalCmd	PLVAR PLVAROPT PLVE[CT] PLVF[RC] PMAP PMET[H]
sy keyword	AnsysNormalCmd	PMGT[RAN] PMOP[TS] POIN[T] POLY POPT PORT[OPT]
sy keyword	AnsysNormalCmd	POWE[RH] PPAT[H] PPLO[T] PPRA[NGE] PPRE[S]
sy keyword	AnsysNormalCmd	PRAN[GE] PRCO[NV] PRCP[LX] PREC[ISION] PRED
sy keyword	AnsysNormalCmd	PRER[R] PRES[OL] PRET[AB] PRI2 PRIM PRIN[T]
sy keyword	AnsysNormalCmd	PRIS[M] PRIT[ER] PRNL[D] PRNS[OL] PROD PRPA[TH]
sy keyword	AnsysNormalCmd	PRRF[OR] PRRS[OL] PRSE[CT] PRSS[OL] PRTI[ME]
sy keyword	AnsysNormalCmd	PRVAR PRVAROPT PRVE[CT] PSCR PSDC[OM] PSDF[RQ]
sy keyword	AnsysNormalCmd	PSDR[ES] PSDS[PL] PSDU[NIT] PSDV[AL] PSDW[AV]
sy keyword	AnsysNormalCmd	PSEL PSOL[VE] PSPE[C] PSPR[NG] PSTR[ES] PTEM[P]
sy keyword	AnsysNormalCmd	PTSM[ESH] PTXY PUNI[T] PVEC[T] QDVA[L] QFAC[T]
sy keyword	AnsysNormalCmd	QSOP[T] QUAD QUOT R RACE RADO[PT] RALL RAPP[ND]
sy keyword	AnsysNormalCmd	RATE RBE3 RCON RDEL[E] REAL REALVAR RECT[NG]
sy keyword	AnsysNormalCmd	REDU[CE] REFL[COEF] REOR[DER] RESC[ONTROL]
sy keyword	AnsysNormalCmd	RESE[T] RESP RESU[ME] REXP[ORT] RFIL[SZ] RFOR[CE]
sy keyword	AnsysNormalCmd	RIGI[D] RIMP[ORT] RITE[R] RLIS[T] RMEM[RY]
sy keyword	AnsysNormalCmd	RMOD[IF] RMOR[E] ROCK RPOL[Y] RPR4 RPRI[SM]
sy keyword	AnsysNormalCmd	RPSD RSPE[ED] RSTA[T] RSYS RTHI[CK] RTIM[ST]
sy keyword	AnsysNormalCmd	RUN RWFR[NT] SABS SADD SALL[OW] SARP[LOT] SAVE
sy keyword	AnsysNormalCmd	SBCL[IST] SBCT[RAN] SDEL[ETE] SE SECD[ATA]
sy keyword	AnsysNormalCmd	SECN[UM] SECO[FFSET] SECP[LOT] SECR[EAD]
sy keyword	AnsysNormalCmd	SECT[YPE] SECW[RITE] SED SEDL[IST] SEEX[P]
sy keyword	AnsysNormalCmd	SELI[ST] SELM SENE[RGY] SEOP[T] SESY[MM] SET
sy keyword	AnsysNormalCmd	SETR[AN] SEXP SF SFA SFAC[T] SFAD[ELE] SFAL[IST]
sy keyword	AnsysNormalCmd	SFBE[AM] SFCA[LC] SFCU[M] SFDE[LE] SFE SFED[ELE]
sy keyword	AnsysNormalCmd	SFEL[IST] SFFU[N] SFGR[AD] SFL SFLD[ELE] SFLI[ST]
sy keyword	AnsysNormalCmd	SFLL[IST] SFSC[ALE] SFTR[AN] SHEL[L] SHPP
sy keyword	AnsysNormalCmd	SLIS[T] SLPP[LOT] SLSP[LOT] SMAL[L] SMAX SMBO[DY]
sy keyword	AnsysNormalCmd	SMCO[NS] SMFO[R] SMIN SMRT[SIZE] SMSU[RF] SMUL[T]
sy keyword	AnsysNormalCmd	SOLC[ONTROL] SOLU SOLUOPT SOLV[E] SORT SOUR[CE]
sy keyword	AnsysNormalCmd	SPAC[E] SPAR[M] SPCN[OD] SPCT[EMP] SPEC SPH4
sy keyword	AnsysNormalCmd	SPH5 SPHE[RE] SPLI[NE] SPOI[NT] SPOP[T] SPRE[AD]
sy keyword	AnsysNormalCmd	SPTO[PT] SQRT SRCS SRSS SSLN SSTI[F] SSUM STAT
sy keyword	AnsysNormalCmd	STEF STOR[E] SUBO[PT] SUBS[ET] SUMT[YPE] SV
sy keyword	AnsysNormalCmd	SVTY[P] TALL[OW] TB TBCO[PY] TBDA[TA] TBDE[LE]
sy keyword	AnsysNormalCmd	TBLE TBLI[ST] TBMO[DIF] TBPL[OT] TBPT TBTE[MP]
sy keyword	AnsysNormalCmd	TCHG TEE TERM TIFF TIME TIMERANGE TIMI[NT]
sy keyword	AnsysNormalCmd	TIMP TINT[P] TOCO[MP] TODE[F] TOEX[E] TOFF[ST]
sy keyword	AnsysNormalCmd	TOFR[EQ] TOGR[APH] TOLI[ST] TOLO[OP] TOPE[R]
sy keyword	AnsysNormalCmd	TOPL[OT] TOPR[INT] TORQ2D TORQC2D TORQSUM TORU[S]
sy keyword	AnsysNormalCmd	TOST[AT] TOTA[L] TOTY[PE] TOVA[R] TRANS TRANSFER
sy keyword	AnsysNormalCmd	TREF TRNO[PT] TRPD[EL] TRPL[IS] TRPO[IN] TRTI[ME]
sy keyword	AnsysNormalCmd	TSHA[P] TSRE[S] TUNI[F] TVAR TYPE TZAM[ESH]
sy keyword	AnsysNormalCmd	TZDE[LE] TZEG[EN] UIMP UNDO UPCO[ORD] UPGE[OM]
sy keyword	AnsysNormalCmd	USRC[AL] V VA VADD VALV[E] VARD[EL] VARN[AM] VATT
sy keyword	AnsysNormalCmd	VCLE[AR] VCRO[SS] VCVF[ILL] VDDA[M] VDEL[E] VDGL
sy keyword	AnsysNormalCmd	VDOT VDRA[G] VEXT VFCA[LC] VFOP[T] VFQU[ERY] VGEN
sy keyword	AnsysNormalCmd	VGET VGLU[E] VIMP VINP VINV VLIS[T] VLSC[ALE]
sy keyword	AnsysNormalCmd	VMES[H] VOFF[ST] VOLU[MES] VOVL[AP] VPLO[T]
sy keyword	AnsysNormalCmd	VPTN VPUT VROT[AT] VSBA VSBV VSBW VSEL VSLA
sy keyword	AnsysNormalCmd	VSUM VSWE[EP] VSYM[M] VTRA[N] VTYP[E] WAVE[S]
sy keyword	AnsysNormalCmd	WERA[SE] WFRO[NT] WMID WMOR[E] WPAV[E] WPCS[YS]
sy keyword	AnsysNormalCmd	WPLA[NE] WPOF[FS] WPRO[TA] WPST[YL] WRIT[E]
sy keyword	AnsysNormalCmd	WSOR[T] WSTA[RT] XVAR XVAROPT


if !exists("did_ansys_syntax_inits")
	
	let did_ansys_syntax_inits = 1

	" Define the ANSYS highlighting groups
	" These groups are linked to the main ones defined in
	" $VIMRUNTIME/syntax/synload.vim. They can also be
	" modified in $HOME/vim/usersyntax.vim

	hi link AnsysComment	Comment
	hi link AnsysString		Special
	hi link AnsysNumber		Constant
	hi link AnsysNormalCmd	Statement
	hi link AnsysSlashCmd	Constant
	hi link AnsysStarCmd	PreProc
	hi link AnsysArgument	Type
	hi link AnsysGUI		Todo
	hi link AnsysGetFunc	Type
	hi link AnsysLabel		Todo

	hi link AnsysSysParm	Identifier
	hi link AnsysNumber		Constant
	hi link AnsysFloat		Constant

endif

let b:current_syntax = "ansys"

" vim: ts=4:sw=4
